From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 13 October 2008<P>

Talked to b.k. earlier. Been a roller coaster ride for months. I try to come in and read during the wee hours, but even these are too often interrupted before I can comment. Capt has surgery again this month, and I am still recovering from a serious injury. Hugs to all, and congrats on the front pages I've missed commenting on ...... Rennie
<HR>
From: <a href="/blend/av.cgi?id=1932">sapphyres_serenade</a><BR>
Date: 13 October 2008<P>

Thank you all for the kind comments and the encouragement. I am working my way up to escaping, my family is 150% behind me as are all of my friends. It especially helps me to have a muse who I keep well hidden, and to be able to publish my feelings here without fear of repercussions.<BR>

<HR>
From: <a href="/blend/av.cgi?id=29">~Harem~</a><BR>
Date: 13 October 2008<P>

`
<HR>
From: <a href="/blend/av.cgi?id=29">~Harem~</a><BR>
Date: 13 October 2008<P>

To Kirk,<BR>
Actually my Hong Kong quote was in<BR>
response to something that BK had<BR>
said.  And I know too many women<BR>
who stay with men who treat them<BR>
like crap - just because they have<BR>
a beautiful home or their hubby makes<BR>
big bucks - and I left a relationship<BR>
like that - to live in a tenement type<BR>
dwelling with 5 kids and no money -<BR>
and the only thing I regret about<BR>
leaving him and living destitutes,<BR>
was that I wish I had done it sooner.<BR>
Loosing your self-respect is not worth<BR>
it - just to stay in a luxury penthouse.<BR>
If you know what I mean ?<BR>
Better to live with less and still <BR>
enjoy life than to have lots of material<BR>
things - and be abused.<BR>
<BR>
.......
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 13 October 2008<P>

Amen Harem; Your self respect can be taken by any neanderthal (if you let them) in any monetary situation and does...sad to say.<BR>
<BR>
We had to fight our way to the vote being chained and tortured just for saying we wanted the right to vote. Don't get me started here haaaa <BR>
<BR>
It's a bully world for certain and too often women and children become the victims trapped by violence and fear.<BR>
<BR>
PS; While I am ranting whomever took my Obama/Biden yard sign is a low down yellow bellied lily livered piece of crap!) I had it for less than 24 hrs. I'll buy four more and hang them inside the windows.<BR>
<BR>
bk
<HR>